Subject: Re: linux-next: tip tree build warning

From: Geert Uytterhoeven <[email-masked]>
Date: Sun, 13 Sep 2009 22:20:54 +0200

On Fri, Sep 11, 2009 at 10:56, Stephen Rothwell <[email-masked]> wrote:
> Hi all,
>
> Today's linux-next build (powerpc allnoconfig) produced this warning:
>
> kernel/sched.c:122: warning: 'double_rq_lock' declared 'static' but never defined
>
> Introduced by commit 18a3885fc1ffa92c2212ff0afdf033403d5b0fa0 ("sched:
> Remove reciprocal for cpu_power").  This is a build with CONFIG_SMP
> undefined.

Yep. same here.

It's even more fishy:
  - double_rq_lock() is useded inside #ifdef CONFIG_PREEMPT
  - double_rq_lock() is defined inside #ifdef CONFIG_SMP
  - double_rq_lock() is used inside #ifdef CONFIG_HOTPLUG_CPU

Gr{oetje,eeting}s,

						Geert

--
Geert Uytterhoeven -- There's lots of Linux beyond ia32 -- [email-masked]

In personal conversations with technical people, I call myself a hacker. But
when I'm talking to journalists I just say "programmer" or something like that.
							    -- Linus Torvalds